# DaprProtos.GetWorkflowResponse.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.GetWorkflowResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>
      - - io.dapr.v1.DaprProtos.GetWorkflowResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.GetWorkflowResponseOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.GetWorkflowResponse

    public static final class DaprProtos.GetWorkflowResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>
    implements DaprProtos.GetWorkflowResponseOrBuilder

     GetWorkflowResponse is the response for GetWorkflowBeta1.

Protobuf type `dapr.proto.runtime.v1.GetWorkflowResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.GetWorkflowResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetWorkflowResponse` `build()`
`DaprProtos.GetWorkflowResponse` `buildPartial()`
`DaprProtos.GetWorkflowResponse.Builder` `clear()`
`DaprProtos.GetWorkflowResponse.Builder` `clearCreatedAt()` The time at which the workflow instance was created.
`DaprProtos.GetWorkflowResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.GetWorkflowResponse.Builder` `clearInstanceId()` ID of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `clearLastUpdatedAt()` The last time at which the workflow instance had its state changed.
`DaprProtos.GetWorkflowResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.GetWorkflowResponse.Builder` `clearProperties()`
`DaprProtos.GetWorkflowResponse.Builder` `clearRuntimeStatus()` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`DaprProtos.GetWorkflowResponse.Builder` `clearWorkflowName()` Name of the workflow.
`DaprProtos.GetWorkflowResponse.Builder` `clone()`
`boolean` `containsProperties​(String key)` Additional component-specific properties of the workflow instance.
`com.google.protobuf.Timestamp` `getCreatedAt()` The time at which the workflow instance was created.
`com.google.protobuf.Timestamp.Builder` `getCreatedAtBuilder()` The time at which the workflow instance was created.
`com.google.protobuf.TimestampOrBuilder` `getCreatedAtOrBuilder()` The time at which the workflow instance was created.
`DaprProtos.GetWorkflowResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getInstanceId()` ID of the workflow instance.
`com.google.protobuf.ByteString` `getInstanceIdBytes()` ID of the workflow instance.
`com.google.protobuf.Timestamp` `getLastUpdatedAt()` The last time at which the workflow instance had its state changed.
`com.google.protobuf.Timestamp.Builder` `getLastUpdatedAtBuilder()` The last time at which the workflow instance had its state changed.
`com.google.protobuf.TimestampOrBuilder` `getLastUpdatedAtOrBuilder()` The last time at which the workflow instance had its state changed.
`Map<String,​String>` `getMutableProperties()` Deprecated.
`Map<String,​String>` `getProperties()` Deprecated.
`int` `getPropertiesCount()` Additional component-specific properties of the workflow instance.
`Map<String,​String>` `getPropertiesMap()` Additional component-specific properties of the workflow instance.
`String` `getPropertiesOrDefault​(String key, String defaultValue)` Additional component-specific properties of the workflow instance.
`String` `getPropertiesOrThrow​(String key)` Additional component-specific properties of the workflow instance.
`String` `getRuntimeStatus()` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`com.google.protobuf.ByteString` `getRuntimeStatusBytes()` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`String` `getWorkflowName()` Name of the workflow.
`com.google.protobuf.ByteString` `getWorkflowNameBytes()` Name of the workflow.
`boolean` `hasCreatedAt()` The time at which the workflow instance was created.
`boolean` `hasLastUpdatedAt()` The last time at which the workflow instance had its state changed.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.GetWorkflowResponse.Builder` `mergeCreatedAt​(com.google.protobuf.Timestamp value)` The time at which the workflow instance was created.
`DaprProtos.GetWorkflowResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.GetWorkflowResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.GetWorkflowResponse.Builder` `mergeFrom​(DaprProtos.GetWorkflowResponse other)`
`DaprProtos.GetWorkflowResponse.Builder` `mergeLastUpdatedAt​(com.google.protobuf.Timestamp value)` The last time at which the workflow instance had its state changed.
`DaprProtos.GetWorkflowResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetWorkflowResponse.Builder` `putAllProperties​(Map<String,​String> values)` Additional component-specific properties of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `putProperties​(String key, String value)` Additional component-specific properties of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `removeProperties​(String key)` Additional component-specific properties of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `setCreatedAt​(com.google.protobuf.Timestamp value)` The time at which the workflow instance was created.
`DaprProtos.GetWorkflowResponse.Builder` `setCreatedAt​(com.google.protobuf.Timestamp.Builder builderForValue)` The time at which the workflow instance was created.
`DaprProtos.GetWorkflowResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.GetWorkflowResponse.Builder` `setInstanceId​(String value)` ID of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `setInstanceIdBytes​(com.google.protobuf.ByteString value)` ID of the workflow instance.
`DaprProtos.GetWorkflowResponse.Builder` `setLastUpdatedAt​(com.google.protobuf.Timestamp value)` The last time at which the workflow instance had its state changed.
`DaprProtos.GetWorkflowResponse.Builder` `setLastUpdatedAt​(com.google.protobuf.Timestamp.Builder builderForValue)` The last time at which the workflow instance had its state changed.
`DaprProtos.GetWorkflowResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.GetWorkflowResponse.Builder` `setRuntimeStatus​(String value)` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`DaprProtos.GetWorkflowResponse.Builder` `setRuntimeStatusBytes​(com.google.protobuf.ByteString value)` The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".
`DaprProtos.GetWorkflowResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.GetWorkflowResponse.Builder` `setWorkflowName​(String value)` Name of the workflow.
`DaprProtos.GetWorkflowResponse.Builder` `setWorkflowNameBytes​(com.google.protobuf.ByteString value)` Name of the workflow.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### clear

    public DaprProtos.GetWorkflowResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.GetWorkflowResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.GetWorkflowResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.GetWorkflowResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.GetWorkflowResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### setField

    public DaprProtos.GetWorkflowResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### clearField

    public DaprProtos.GetWorkflowResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### clearOneof

    public DaprProtos.GetWorkflowResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### setRepeatedField

    public DaprProtos.GetWorkflowResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### addRepeatedField

    public DaprProtos.GetWorkflowResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### mergeFrom

    public DaprProtos.GetWorkflowResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### mergeFrom

    public DaprProtos.GetWorkflowResponse.Builder mergeFrom​(DaprProtos.GetWorkflowResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### mergeFrom

    public DaprProtos.GetWorkflowResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.GetWorkflowResponse.Builder>`
Throws:
  `IOException`

#### getInstanceId

    public String getInstanceId()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceId` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The instanceId.

#### getInstanceIdBytes

    public com.google.protobuf.ByteString getInstanceIdBytes()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Specified by:
  `getInstanceIdBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for instanceId.

#### setInstanceId

    public DaprProtos.GetWorkflowResponse.Builder setInstanceId​(String value)

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The instanceId to set.
Returns:
  This builder for chaining.

#### clearInstanceId

    public DaprProtos.GetWorkflowResponse.Builder clearInstanceId()

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Returns:
  This builder for chaining.

#### setInstanceIdBytes

    public DaprProtos.GetWorkflowResponse.Builder setInstanceIdBytes​(com.google.protobuf.ByteString value)

     ID of the workflow instance.

`string instance_id = 1 [json_name = "instanceID"];`

Parameters:
  `value` - The bytes for instanceId to set.
Returns:
  This builder for chaining.

#### getWorkflowName

    public String getWorkflowName()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Specified by:
  `getWorkflowName` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The workflowName.

#### getWorkflowNameBytes

    public com.google.protobuf.ByteString getWorkflowNameBytes()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Specified by:
  `getWorkflowNameBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for workflowName.

#### setWorkflowName

    public DaprProtos.GetWorkflowResponse.Builder setWorkflowName​(String value)

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Parameters:
  `value` - The workflowName to set.
Returns:
  This builder for chaining.

#### clearWorkflowName

    public DaprProtos.GetWorkflowResponse.Builder clearWorkflowName()

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Returns:
  This builder for chaining.

#### setWorkflowNameBytes

    public DaprProtos.GetWorkflowResponse.Builder setWorkflowNameBytes​(com.google.protobuf.ByteString value)

     Name of the workflow.

`string workflow_name = 2 [json_name = "workflowName"];`

Parameters:
  `value` - The bytes for workflowName to set.
Returns:
  This builder for chaining.

#### hasCreatedAt

    public boolean hasCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `hasCreatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  Whether the createdAt field is set.

#### getCreatedAt

    public com.google.protobuf.Timestamp getCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `getCreatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The createdAt.

#### setCreatedAt

    public DaprProtos.GetWorkflowResponse.Builder setCreatedAt​(com.google.protobuf.Timestamp value)

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

#### setCreatedAt

    public DaprProtos.GetWorkflowResponse.Builder setCreatedAt​(com.google.protobuf.Timestamp.Builder builderForValue)

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

#### mergeCreatedAt

    public DaprProtos.GetWorkflowResponse.Builder mergeCreatedAt​(com.google.protobuf.Timestamp value)

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

#### clearCreatedAt

    public DaprProtos.GetWorkflowResponse.Builder clearCreatedAt()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

#### getCreatedAtBuilder

    public com.google.protobuf.Timestamp.Builder getCreatedAtBuilder()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

#### getCreatedAtOrBuilder

    public com.google.protobuf.TimestampOrBuilder getCreatedAtOrBuilder()

     The time at which the workflow instance was created.

`.google.protobuf.Timestamp created_at = 3 [json_name = "createdAt"];`

Specified by:
  `getCreatedAtOrBuilder` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### hasLastUpdatedAt

    public boolean hasLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `hasLastUpdatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  Whether the lastUpdatedAt field is set.

#### getLastUpdatedAt

    public com.google.protobuf.Timestamp getLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `getLastUpdatedAt` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The lastUpdatedAt.

#### setLastUpdatedAt

    public DaprProtos.GetWorkflowResponse.Builder setLastUpdatedAt​(com.google.protobuf.Timestamp value)

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

#### setLastUpdatedAt

    public DaprProtos.GetWorkflowResponse.Builder setLastUpdatedAt​(com.google.protobuf.Timestamp.Builder builderForValue)

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

#### mergeLastUpdatedAt

    public DaprProtos.GetWorkflowResponse.Builder mergeLastUpdatedAt​(com.google.protobuf.Timestamp value)

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

#### clearLastUpdatedAt

    public DaprProtos.GetWorkflowResponse.Builder clearLastUpdatedAt()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

#### getLastUpdatedAtBuilder

    public com.google.protobuf.Timestamp.Builder getLastUpdatedAtBuilder()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

#### getLastUpdatedAtOrBuilder

    public com.google.protobuf.TimestampOrBuilder getLastUpdatedAtOrBuilder()

     The last time at which the workflow instance had its state changed.

`.google.protobuf.Timestamp last_updated_at = 4 [json_name = "lastUpdatedAt"];`

Specified by:
  `getLastUpdatedAtOrBuilder` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getRuntimeStatus

    public String getRuntimeStatus()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Specified by:
  `getRuntimeStatus` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The runtimeStatus.

#### getRuntimeStatusBytes

    public com.google.protobuf.ByteString getRuntimeStatusBytes()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Specified by:
  `getRuntimeStatusBytes` in interface `DaprProtos.GetWorkflowResponseOrBuilder`
Returns:
  The bytes for runtimeStatus.

#### setRuntimeStatus

    public DaprProtos.GetWorkflowResponse.Builder setRuntimeStatus​(String value)

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Parameters:
  `value` - The runtimeStatus to set.
Returns:
  This builder for chaining.

#### clearRuntimeStatus

    public DaprProtos.GetWorkflowResponse.Builder clearRuntimeStatus()

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Returns:
  This builder for chaining.

#### setRuntimeStatusBytes

    public DaprProtos.GetWorkflowResponse.Builder setRuntimeStatusBytes​(com.google.protobuf.ByteString value)

     The current status of the workflow instance, for example, "PENDING", "RUNNING", "SUSPENDED", "COMPLETED", "FAILED", and "TERMINATED".

`string runtime_status = 5 [json_name = "runtimeStatus"];`

Parameters:
  `value` - The bytes for runtimeStatus to set.
Returns:
  This builder for chaining.

#### getPropertiesCount

    public int getPropertiesCount()

Description copied from interface: `DaprProtos.GetWorkflowResponseOrBuilder`

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesCount` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### containsProperties

    public boolean containsProperties​(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `containsProperties` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getProperties

    @Deprecated
    public Map<String,​String> getProperties()

Deprecated.
Use `getPropertiesMap()` instead.

Specified by:
  `getProperties` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesMap

    public Map<String,​String> getPropertiesMap()

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesMap` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesOrDefault

    public String getPropertiesOrDefault​(String key,
                                         String defaultValue)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesOrDefault` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### getPropertiesOrThrow

    public String getPropertiesOrThrow​(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

Specified by:
  `getPropertiesOrThrow` in interface `DaprProtos.GetWorkflowResponseOrBuilder`

#### clearProperties

    public DaprProtos.GetWorkflowResponse.Builder clearProperties()

#### removeProperties

    public DaprProtos.GetWorkflowResponse.Builder removeProperties​(String key)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

#### getMutableProperties

    @Deprecated
    public Map<String,​String> getMutableProperties()

Deprecated.
Use alternate mutation accessors instead.

#### putProperties

    public DaprProtos.GetWorkflowResponse.Builder putProperties​(String key,
                                                                String value)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

#### putAllProperties

    public DaprProtos.GetWorkflowResponse.Builder putAllProperties​(Map<String,​String> values)

     Additional component-specific properties of the workflow instance.

`map<string, string> properties = 6;`

#### setUnknownFields

    public final DaprProtos.GetWorkflowResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`

#### mergeUnknownFields

    public final DaprProtos.GetWorkflowResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.GetWorkflowResponse.Builder>`